<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXPasswordField?>
<?import com.jfoenix.controls.JFXTextField?>
<?import de.jensd.fx.glyphs.fontawesome.FontAwesomeIconView?>
<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.shape.Circle?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="550.0" prefWidth="360.0" xmlns="http://javafx.com/javafx/16" xmlns:fx="http://javafx.com/fxml/1" fx:controller="Client.View.viewControllers.loginController">
   <children>
      <ImageView fitHeight="550.0" fitWidth="360.0" pickOnBounds="true">
         <image>
            <Image url="@instaback.jpg" />
         </image>
      </ImageView>
      <ImageView fitHeight="189.0" fitWidth="189.0" layoutX="86.0" layoutY="79.0" pickOnBounds="true" preserveRatio="true">
         <image>
            <Image url="@icons8-instagram-200.png" />
         </image>
      </ImageView>
      <AnchorPane prefHeight="52.0" prefWidth="360.0">
         <children>
            <Circle fx:id="close" fill="#fe4571" layoutX="14.0" layoutY="26.0" onMouseClicked="#closeApp" radius="7.0" stroke="#0d0c0d" strokeType="INSIDE" />
            <Circle fx:id="minimize" fill="#fec864" layoutX="39.0" layoutY="26.0" onMouseClicked="#minimizeApp" radius="7.0" stroke="BLACK" strokeType="INSIDE" />
            <Circle fill="#49ce9d" layoutX="64.0" layoutY="26.0" radius="7.0" stroke="BLACK" strokeType="INSIDE" />
            <Label layoutX="99.0" prefHeight="62.0" prefWidth="189.0" text="Instagram">
               <font>
                  <Font name="Ravie" size="24.0" />
               </font>
            </Label>
         </children>
      </AnchorPane>
      <AnchorPane layoutX="62.0" layoutY="297.0" prefHeight="62.0" prefWidth="238.0" visible="false" />
      <JFXButton alignment="CENTER_RIGHT" layoutY="502.0" onAction="#goPageSignup" prefHeight="40.0" prefWidth="360.0" style="-fx-background-color: #fc9a02; -fx-border-radius: 0;" text="Sign up" underline="true">
         <font>
            <Font name="System Bold Italic" size="19.0" />
         </font>
         <padding>
            <Insets bottom="10.0" left="10.0" right="35.0" top="10.0" />
         </padding>
      </JFXButton>
      <Label layoutX="62.0" layoutY="508.0" prefHeight="37.0" prefWidth="189.0" text="Don't have an account ?">
         <font>
            <Font name="System Italic" size="18.0" />
         </font>
      </Label>
      <AnchorPane layoutX="1.0" layoutY="244.0" prefHeight="62.0" prefWidth="360.0">
         <children>
            <FontAwesomeIconView glyphName="USER" layoutX="267.0" layoutY="39.0" size="25" />
            <JFXTextField fx:id="Username" labelFloat="true" layoutX="93.0" layoutY="17.0" prefHeight="27.0" prefWidth="166.0" promptText="Username" />
         </children>
      </AnchorPane>
      <AnchorPane layoutX="1.0" layoutY="306.0" prefHeight="62.0" prefWidth="360.0">
         <children>
            <FontAwesomeIconView glyphName="KEY" layoutX="266.0" layoutY="38.0" size="23" />
            <JFXPasswordField fx:id="Password" labelFloat="true" layoutX="93.0" layoutY="19.0" prefHeight="25.0" prefWidth="166.0" promptText="Password" />
         </children>
      </AnchorPane>
      <JFXButton layoutX="117.0" layoutY="359.0" onAction="#openProfile" prefHeight="37.0" prefWidth="127.0" style="-fx-text-fill: red;" text="Login" underline="true">
         <font>
            <Font name="System Bold Italic" size="20.0" />
         </font>
      </JFXButton>
      <Label fx:id="LoginAlert" alignment="CENTER" layoutX="1.0" layoutY="409.0" prefHeight="44.0" prefWidth="360.0">
         <font>
            <Font name="System Bold" size="14.0" />
         </font>
      </Label>
      <JFXButton layoutX="101.0" layoutY="475.0" onAction="#sendPasEmail" prefHeight="27.0" prefWidth="158.0" text="Forgot your Password?" textFill="#0735b2" underline="true">
         <font>
            <Font name="System Bold Italic" size="13.0" />
         </font>
      </JFXButton>
   </children>
</AnchorPane>
